* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2020-05-01 17:27 Andrew Ammerlaan
0 siblings, 0 replies; 11+ messages in thread
From: Andrew Ammerlaan @ 2020-05-01 17:27 UTC (permalink / raw
To: gentoo-commits
commit: 34799235b4d6b8d392bbe60676645dd0b140e716
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Fri May 1 17:23:05 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri May 1 17:23:05 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=34799235
dev-python/pypandoc: new package; add version 1.5
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-python/pypandoc/Manifest | 1 +
dev-python/pypandoc/metadata.xml | 12 ++++++++++
dev-python/pypandoc/pypandoc-1.5.ebuild | 40 +++++++++++++++++++++++++++++++++
3 files changed, 53 insertions(+)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
new file mode 100644
index 0000000..cc22e0e
--- /dev/null
+++ b/dev-python/pypandoc/Manifest
@@ -0,0 +1 @@
+DIST pypandoc-1.5.tar.gz 26494 BLAKE2B f265effc55db8b1f706a4541f18119de2d0cccc7ab59ea83f80e6051ae4a4e36128d6b36c51e255c2ed0b0577c1df46284820c97f629fc3b790c301448a6bb39 SHA512 511f5f5f7bff8de686c3f74d3756d27a3ae245803e2e9b45abc957acf112b306eff057ce87e8f3b335de00b97d4753de31e9681830d9aa776247ca707683ed13
diff --git a/dev-python/pypandoc/metadata.xml b/dev-python/pypandoc/metadata.xml
new file mode 100644
index 0000000..e2184ea
--- /dev/null
+++ b/dev-python/pypandoc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>xgqt@protonmail.com</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">bebraw/pypandoc</remote-id>
+ <remote-id type="pypi">pypandoc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pypandoc/pypandoc-1.5.ebuild b/dev-python/pypandoc/pypandoc-1.5.ebuild
new file mode 100644
index 0000000..6f5d84c
--- /dev/null
+++ b/dev-python/pypandoc/pypandoc-1.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pypandoc provides a thin wrapper for pandoc, a universal document converter"
+HOMEPAGE="
+ https://github.com/bebraw/pypandoc
+ https://pypi.org/project/pypandoc/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-text/pandoc
+ dev-haskell/pandoc-citeproc
+ dev-texlive/texlive-latex
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-python/wheel-0.25.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ # Skip tests. Wants: internet access
+ sed -i -e 's:test_basic_conversion_from_http_url:_&:' tests.py || die
+ # Skip tests. Wants: nonexistent font
+ sed -i -e 's:test_pdf_conversion:_&:' tests.py || die
+
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2020-09-22 11:13 Andrew Ammerlaan
0 siblings, 0 replies; 11+ messages in thread
From: Andrew Ammerlaan @ 2020-09-22 11:13 UTC (permalink / raw
To: gentoo-commits
commit: 46c5c578a7451f3919ef46805415991d8c2383ff
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Tue Sep 22 01:42:28 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Sep 22 01:42:28 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=46c5c578
dev-python/pypandoc: add python 3.8 compatibility
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-python/pypandoc/pypandoc-1.5.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/pypandoc/pypandoc-1.5.ebuild b/dev-python/pypandoc/pypandoc-1.5.ebuild
index 6f5d84ca..180756a3 100644
--- a/dev-python/pypandoc/pypandoc-1.5.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.5.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
inherit distutils-r1
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2020-11-12 19:46 Andrew Ammerlaan
0 siblings, 0 replies; 11+ messages in thread
From: Andrew Ammerlaan @ 2020-11-12 19:46 UTC (permalink / raw
To: gentoo-commits
commit: 24420fd04c82a2f6782d8db2859a9a787f8a7342
Author: Maciej Barć <xgqt <AT> protonmail <DOT> com>
AuthorDate: Wed Nov 11 22:22:13 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Nov 11 22:22:13 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=24420fd0
dev-python/pypandoc: bump python compat
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Maciej Barć <xgqt <AT> protonmail.com>
dev-python/pypandoc/pypandoc-1.5.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/dev-python/pypandoc/pypandoc-1.5.ebuild b/dev-python/pypandoc/pypandoc-1.5.ebuild
index da1f8424..1a04fc84 100644
--- a/dev-python/pypandoc/pypandoc-1.5.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.5.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7..9} )
inherit distutils-r1
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2021-05-22 10:05 Andrew Ammerlaan
0 siblings, 0 replies; 11+ messages in thread
From: Andrew Ammerlaan @ 2021-05-22 10:05 UTC (permalink / raw
To: gentoo-commits
commit: 9507c47160df5902acb309c9c2b39ff0c1e36401
Author: Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Fri May 21 17:54:57 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri May 21 17:54:57 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9507c471
dev-python/pypandoc: drop to maintainer-needed
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>
dev-python/pypandoc/metadata.xml | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/dev-python/pypandoc/metadata.xml b/dev-python/pypandoc/metadata.xml
index 3c2f64ab9..3c418d0e9 100644
--- a/dev-python/pypandoc/metadata.xml
+++ b/dev-python/pypandoc/metadata.xml
@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>xgqt@riseup.net</email>
- <name>Maciej Barć</name>
- </maintainer>
+ <!-- maintainer-needed -->
<upstream>
<remote-id type="github">bebraw/pypandoc</remote-id>
<remote-id type="pypi">pypandoc</remote-id>
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2021-07-05 15:48 Haelwenn Monnier
0 siblings, 0 replies; 11+ messages in thread
From: Haelwenn Monnier @ 2021-07-05 15:48 UTC (permalink / raw
To: gentoo-commits
commit: ba9cbbe990b65710f80786222491155b6224f552
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Jul 5 00:00:25 2021 +0000
Commit: Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Mon Jul 5 00:43:18 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ba9cbbe9
dev-python/pypandoc: bump
Closes: https://bugs.gentoo.org/800362
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/pypandoc/Manifest | 2 +-
.../{pypandoc-1.5.ebuild => pypandoc-1.6.3.ebuild} | 16 ++++++++--------
2 files changed, 9 insertions(+), 9 deletions(-)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
index cc22e0eff..28d45ce9a 100644
--- a/dev-python/pypandoc/Manifest
+++ b/dev-python/pypandoc/Manifest
@@ -1 +1 @@
-DIST pypandoc-1.5.tar.gz 26494 BLAKE2B f265effc55db8b1f706a4541f18119de2d0cccc7ab59ea83f80e6051ae4a4e36128d6b36c51e255c2ed0b0577c1df46284820c97f629fc3b790c301448a6bb39 SHA512 511f5f5f7bff8de686c3f74d3756d27a3ae245803e2e9b45abc957acf112b306eff057ce87e8f3b335de00b97d4753de31e9681830d9aa776247ca707683ed13
+DIST pypandoc-1.6.3.tar.gz 25912 BLAKE2B 341055a519f943b8593720d2797bae2c6bb7b7c60dc73efdfecc432fcdbcb1e7b30af138e62512dfea1da0c24dcba5b387891e005b773cae6c9a008c188a99ff SHA512 74abcd569adfeebfd84e66c7b3e110fccd9200275ecfd32e78c297d4f18637c6dc3328c313c32c38b9b9504f64d24e6b59fdec505a539649a21d7e5434108c24
diff --git a/dev-python/pypandoc/pypandoc-1.5.ebuild b/dev-python/pypandoc/pypandoc-1.6.3.ebuild
similarity index 70%
rename from dev-python/pypandoc/pypandoc-1.5.ebuild
rename to dev-python/pypandoc/pypandoc-1.6.3.ebuild
index 1a04fc841..adcfbab97 100644
--- a/dev-python/pypandoc/pypandoc-1.5.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.6.3.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
@@ -17,6 +18,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="test"
RDEPEND="
app-text/pandoc
@@ -30,11 +32,9 @@ DEPEND="
dev-python/urllib3[${PYTHON_USEDEP}]
"
-python_test() {
- # Skip tests. Wants: internet access
- sed -i -e 's:test_basic_conversion_from_http_url:_&:' tests.py || die
- # Skip tests. Wants: nonexistent font
- sed -i -e 's:test_pdf_conversion:_&:' tests.py || die
+PROPERTIES="test_network"
+RESTRICT="test"
+python_test() {
"${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2022-04-05 2:14 Ronny Gutbrod
0 siblings, 0 replies; 11+ messages in thread
From: Ronny Gutbrod @ 2022-04-05 2:14 UTC (permalink / raw
To: gentoo-commits
commit: 6d03ca6f0d0ffac3bb3fea82864fd71fcea2f7cf
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Apr 4 18:57:27 2022 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Mon Apr 4 19:32:02 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6d03ca6f
dev-python/pypandoc: add 1.7.5, drop 1.7.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/pypandoc/Manifest | 2 +-
dev-python/pypandoc/{pypandoc-1.7.2.ebuild => pypandoc-1.7.5.ebuild} | 1 +
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
index 633327a82..59a93f827 100644
--- a/dev-python/pypandoc/Manifest
+++ b/dev-python/pypandoc/Manifest
@@ -1,2 +1,2 @@
-DIST pypandoc-1.7.2.tar.gz 27900 BLAKE2B f09d1e3431717be44ea396ee44d2d00c11ed0e181d7f79d6be98536b9474972efe146e7c94eb571ab3f7dd2acf32ed53581d4b738497650c37a91e54ead5985e SHA512 95387c18768e480869eac334e5dcfc4ea978033d423de055d616a4a1ef015fe1fbc6a25405c086811621f4ad2d599c9fa245e740de5504baaf801bc522a6fb29
DIST pypandoc-1.7.4.tar.gz 30526 BLAKE2B 44ea2083e014874e4fc5ce9ce8d2dcff64319e7d0d77baffc61fa0d0c2a7fd209642f706eaf4ad258b65a4f0ad8851a9ea02d38d0db4e71c136b972a5934cb79 SHA512 01a7165974ca844b55c387e8ed9b5278c43b5879ca6ea51e0aafab9f035667d37fc06a52a5c0820e18b321ddd5185e53a49561c84e157cb0ead76c7f84d0bcc1
+DIST pypandoc-1.7.5.tar.gz 23186705 BLAKE2B 2718e2c4485a10e2a1f78e59b893b8041fcbfd6fd3393c8fcf429625fb0fbe0a0f83229323579e58fb40b6fb85fe018ecc7b597de7774e20e2736f301761fc9f SHA512 bbd5e96a98b1030aa7dfbeaea12dc5c053e9b3182c0feca6d6cec6eba9c148662a628cbe12b1ddf8a4f2891df98fe8f60fc1bde0d5d2f60664dd3e412974655f
diff --git a/dev-python/pypandoc/pypandoc-1.7.2.ebuild b/dev-python/pypandoc/pypandoc-1.7.5.ebuild
similarity index 92%
rename from dev-python/pypandoc/pypandoc-1.7.2.ebuild
rename to dev-python/pypandoc/pypandoc-1.7.5.ebuild
index 4e5cda380..26ff6c3da 100644
--- a/dev-python/pypandoc/pypandoc-1.7.2.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.7.5.ebuild
@@ -32,6 +32,7 @@ DEPEND="
dev-python/urllib3[${PYTHON_USEDEP}]
"
+PATCHES=( "${FILESDIR}/${PN}-1.7.4-dont-install-examples.patch" )
PROPERTIES="test_network"
RESTRICT="test"
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2023-09-05 13:22 Andrew Ammerlaan
0 siblings, 0 replies; 11+ messages in thread
From: Andrew Ammerlaan @ 2023-09-05 13:22 UTC (permalink / raw
To: gentoo-commits
commit: 5273ae4c722ba2655fde06579d4ddf3371da8d20
Author: Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Mon Sep 4 20:46:50 2023 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Sep 5 06:56:09 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5273ae4c
dev-python/pypandoc: new package, add 1.11
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>
dev-python/pypandoc/Manifest | 1 +
dev-python/pypandoc/metadata.xml | 12 ++++++++++
dev-python/pypandoc/pypandoc-1.11.ebuild | 39 ++++++++++++++++++++++++++++++++
3 files changed, 52 insertions(+)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
new file mode 100644
index 0000000000..d92e0792a1
--- /dev/null
+++ b/dev-python/pypandoc/Manifest
@@ -0,0 +1 @@
+DIST pypandoc-1.11.gh.tar.gz 69118 BLAKE2B d2a48c6c342325bd8a38ac697616ea5f694fe5928d1538e4ee47d4ffbcdc1c1206e9d68eea214c3edffabef0018cb2950f0cda7e700be5894cb41fe7a7de3446 SHA512 1ca753ac2da9ad1a98c72aa639b6809e31d8c5da85a3a843f91675f95861e5056c183f67d73008c064b8fd2c82a4cd255f20b1c0073cc288a1e0e6a74caa9f94
diff --git a/dev-python/pypandoc/metadata.xml b/dev-python/pypandoc/metadata.xml
new file mode 100644
index 0000000000..96745e62d5
--- /dev/null
+++ b/dev-python/pypandoc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>gasc@eurecom.fr</email>
+ <name>Gasc Henri</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">pypandoc</remote-id>
+ <remote-id type="github">JessicaTegner/pypandoc</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pypandoc/pypandoc-1.11.ebuild b/dev-python/pypandoc/pypandoc-1.11.ebuild
new file mode 100644
index 0000000000..9c396f33a3
--- /dev/null
+++ b/dev-python/pypandoc/pypandoc-1.11.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="poetry"
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pypandoc provides a thin wrapper for pandoc, a universal document converter"
+HOMEPAGE="https://github.com/JessicaTegner/pypandoc https://pypi.org/project/pypandoc"
+SRC_URI="https://github.com/JessicaTegner/pypandoc/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="test"
+
+RDEPEND="app-text/pandoc"
+BDEPEND="
+ test? (
+ >=dev-python/pandocfilters-1.5.0[${PYTHON_USEDEP}]
+ app-text/texlive-core
+ dev-texlive/texlive-latex
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexrecommended
+ )
+"
+
+python_test() {
+ # This test wants internet access
+ sed -i -e 's:test_basic_conversion_from_http_url:_&:' tests.py || die
+ # This one fails for no reason. When not in sandbox mode, the conversion is made without problems
+ sed -i -e 's:test_conversion_with_data_files:_&:' tests.py || die
+
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2023-09-05 13:22 Andrew Ammerlaan
0 siblings, 0 replies; 11+ messages in thread
From: Andrew Ammerlaan @ 2023-09-05 13:22 UTC (permalink / raw
To: gentoo-commits
commit: ef00d95b292f1a3e73c81c35b3b7a1f492b911b6
Author: Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Mon Sep 4 21:24:03 2023 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Sep 5 06:56:13 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ef00d95b
dev-python/pypandoc: add 1.4 (needed by dev-python/imgui)
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>
dev-python/pypandoc/Manifest | 1 +
dev-python/pypandoc/pypandoc-1.4.ebuild | 19 +++++++++++++++++++
2 files changed, 20 insertions(+)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
index d92e0792a1..4ede9a599c 100644
--- a/dev-python/pypandoc/Manifest
+++ b/dev-python/pypandoc/Manifest
@@ -1 +1,2 @@
DIST pypandoc-1.11.gh.tar.gz 69118 BLAKE2B d2a48c6c342325bd8a38ac697616ea5f694fe5928d1538e4ee47d4ffbcdc1c1206e9d68eea214c3edffabef0018cb2950f0cda7e700be5894cb41fe7a7de3446 SHA512 1ca753ac2da9ad1a98c72aa639b6809e31d8c5da85a3a843f91675f95861e5056c183f67d73008c064b8fd2c82a4cd255f20b1c0073cc288a1e0e6a74caa9f94
+DIST pypandoc-1.4.gh.tar.gz 35326 BLAKE2B 8de64056437bb7605adacc6efcb7800c228ecd98e24aed64adae09f8fff921aa260fd35b015db0611c0e2f0331766e7a75443833301467584574283665744c6c SHA512 e6210c8b63758d09b12f1cef2e755ae70befa2b5cd66034d9981217b2fa684b90bf6b6edc46968abcb775721a0b32467c924866be743dde74fe77a20b94453d5
diff --git a/dev-python/pypandoc/pypandoc-1.4.ebuild b/dev-python/pypandoc/pypandoc-1.4.ebuild
new file mode 100644
index 0000000000..cf7eac5865
--- /dev/null
+++ b/dev-python/pypandoc/pypandoc-1.4.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pypandoc provides a thin wrapper for pandoc, a universal document converter"
+HOMEPAGE="https://github.com/JessicaTegner/pypandoc https://pypi.org/project/pypandoc"
+SRC_URI="https://github.com/JessicaTegner/pypandoc/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="app-text/pandoc"
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2024-04-11 21:19 Julien Roy
0 siblings, 0 replies; 11+ messages in thread
From: Julien Roy @ 2024-04-11 21:19 UTC (permalink / raw
To: gentoo-commits
commit: 8c79ac730c27170380fc52c84b080f221edfd941
Author: Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Thu Apr 11 21:04:35 2024 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Thu Apr 11 21:04:35 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8c79ac73
dev-python/pypandoc: add 1.13, drop 1.11 1.4
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>
dev-python/pypandoc/Manifest | 3 +--
.../{pypandoc-1.11.ebuild => pypandoc-1.13.ebuild} | 20 ++++++++++----------
dev-python/pypandoc/pypandoc-1.4.ebuild | 19 -------------------
3 files changed, 11 insertions(+), 31 deletions(-)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
index 4ede9a599c..65b8084d62 100644
--- a/dev-python/pypandoc/Manifest
+++ b/dev-python/pypandoc/Manifest
@@ -1,2 +1 @@
-DIST pypandoc-1.11.gh.tar.gz 69118 BLAKE2B d2a48c6c342325bd8a38ac697616ea5f694fe5928d1538e4ee47d4ffbcdc1c1206e9d68eea214c3edffabef0018cb2950f0cda7e700be5894cb41fe7a7de3446 SHA512 1ca753ac2da9ad1a98c72aa639b6809e31d8c5da85a3a843f91675f95861e5056c183f67d73008c064b8fd2c82a4cd255f20b1c0073cc288a1e0e6a74caa9f94
-DIST pypandoc-1.4.gh.tar.gz 35326 BLAKE2B 8de64056437bb7605adacc6efcb7800c228ecd98e24aed64adae09f8fff921aa260fd35b015db0611c0e2f0331766e7a75443833301467584574283665744c6c SHA512 e6210c8b63758d09b12f1cef2e755ae70befa2b5cd66034d9981217b2fa684b90bf6b6edc46968abcb775721a0b32467c924866be743dde74fe77a20b94453d5
+DIST pypandoc-1.13.gh.tar.gz 70605 BLAKE2B 36de13986a1f6812491f5e8d893b41baf7d8b170e6804b14d14ee1786786a57e11f4ec22a764ed28dcfa8edbfdc7a90726d0b907bb66e15573a1f587d7c261a8 SHA512 6f7acb4fd113606244a4a6eccac28bc4605e038da19dbb8c86c65b4b6a00aa5bc7cd0a8740145784335b10fb5d12bb85857c41a5a69bfb70c1d845c3738dcfa1
diff --git a/dev-python/pypandoc/pypandoc-1.11.ebuild b/dev-python/pypandoc/pypandoc-1.13.ebuild
similarity index 60%
rename from dev-python/pypandoc/pypandoc-1.11.ebuild
rename to dev-python/pypandoc/pypandoc-1.13.ebuild
index 9c396f33a3..77de009e84 100644
--- a/dev-python/pypandoc/pypandoc-1.11.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.13.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517="poetry"
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
@@ -16,12 +16,13 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
-RESTRICT="test"
+RESTRICT="!test? ( test )"
-RDEPEND="app-text/pandoc"
+RDEPEND="virtual/pandoc"
BDEPEND="
test? (
>=dev-python/pandocfilters-1.5.0[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
app-text/texlive-core
dev-texlive/texlive-latex
dev-texlive/texlive-fontsrecommended
@@ -29,11 +30,10 @@ BDEPEND="
)
"
+EPYTEST_DESELECT=(
+ tests.py::TestPypandoc::test_basic_conversion_from_http_url
+ tests.py::TestPypandoc::test_pdf_conversion
+)
python_test() {
- # This test wants internet access
- sed -i -e 's:test_basic_conversion_from_http_url:_&:' tests.py || die
- # This one fails for no reason. When not in sandbox mode, the conversion is made without problems
- sed -i -e 's:test_conversion_with_data_files:_&:' tests.py || die
-
- "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+ epytest tests.py
}
diff --git a/dev-python/pypandoc/pypandoc-1.4.ebuild b/dev-python/pypandoc/pypandoc-1.4.ebuild
deleted file mode 100644
index cf7eac5865..0000000000
--- a/dev-python/pypandoc/pypandoc-1.4.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517="setuptools"
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Pypandoc provides a thin wrapper for pandoc, a universal document converter"
-HOMEPAGE="https://github.com/JessicaTegner/pypandoc https://pypi.org/project/pypandoc"
-SRC_URI="https://github.com/JessicaTegner/pypandoc/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="app-text/pandoc"
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2024-04-12 16:29 Julien Roy
0 siblings, 0 replies; 11+ messages in thread
From: Julien Roy @ 2024-04-12 16:29 UTC (permalink / raw
To: gentoo-commits
commit: 50e8f584778f4f588eeb1a1001cb5c51430d39cf
Author: Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Fri Apr 12 12:20:00 2024 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Fri Apr 12 12:20:00 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=50e8f584
dev-python/pypandoc: Add explanations on tests
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>
dev-python/pypandoc/pypandoc-1.13.ebuild | 2 ++
1 file changed, 2 insertions(+)
diff --git a/dev-python/pypandoc/pypandoc-1.13.ebuild b/dev-python/pypandoc/pypandoc-1.13.ebuild
index 77de009e84..441173f9be 100644
--- a/dev-python/pypandoc/pypandoc-1.13.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.13.ebuild
@@ -31,7 +31,9 @@ BDEPEND="
"
EPYTEST_DESELECT=(
+ # Need internet
tests.py::TestPypandoc::test_basic_conversion_from_http_url
+ # pandoc does not manage to find pdflatex.fmt despite it being installed
tests.py::TestPypandoc::test_pdf_conversion
)
python_test() {
^ permalink raw reply related [flat|nested] 11+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/
@ 2024-10-11 9:55 David Roman
0 siblings, 0 replies; 11+ messages in thread
From: David Roman @ 2024-10-11 9:55 UTC (permalink / raw
To: gentoo-commits
commit: b01815d44a48f9ec2ea19b4ed716898d2e472e35
Author: Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Thu Oct 10 17:12:55 2024 +0000
Commit: David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Thu Oct 10 19:17:51 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b01815d4
dev-python/pypandoc: add 1.14, drop 1.13
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>
dev-python/pypandoc/Manifest | 2 +-
dev-python/pypandoc/{pypandoc-1.13.ebuild => pypandoc-1.14.ebuild} | 6 ++++--
2 files changed, 5 insertions(+), 3 deletions(-)
diff --git a/dev-python/pypandoc/Manifest b/dev-python/pypandoc/Manifest
index 65b8084d6..1bc4ae741 100644
--- a/dev-python/pypandoc/Manifest
+++ b/dev-python/pypandoc/Manifest
@@ -1 +1 @@
-DIST pypandoc-1.13.gh.tar.gz 70605 BLAKE2B 36de13986a1f6812491f5e8d893b41baf7d8b170e6804b14d14ee1786786a57e11f4ec22a764ed28dcfa8edbfdc7a90726d0b907bb66e15573a1f587d7c261a8 SHA512 6f7acb4fd113606244a4a6eccac28bc4605e038da19dbb8c86c65b4b6a00aa5bc7cd0a8740145784335b10fb5d12bb85857c41a5a69bfb70c1d845c3738dcfa1
+DIST pypandoc-1.14.gh.tar.gz 70683 BLAKE2B 415b52829913fddcc57f555f19f74707258b16f6b2dfdbc1928316aa924da2107b68ada101de09a57edc243e1bb364da61a4839a5d9c6dec6aad27117643f371 SHA512 f3ad3b14e45726de47cdd251a988cb377dad41f33a4569e9c051ff6d4d13a7688b23221972140b97fba5160575a02e115d4bf22861d0472931142bb24534646b
diff --git a/dev-python/pypandoc/pypandoc-1.13.ebuild b/dev-python/pypandoc/pypandoc-1.14.ebuild
similarity index 82%
rename from dev-python/pypandoc/pypandoc-1.13.ebuild
rename to dev-python/pypandoc/pypandoc-1.14.ebuild
index 441173f9b..8c35ca374 100644
--- a/dev-python/pypandoc/pypandoc-1.13.ebuild
+++ b/dev-python/pypandoc/pypandoc-1.14.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517="poetry"
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
inherit distutils-r1
@@ -35,7 +35,9 @@ EPYTEST_DESELECT=(
tests.py::TestPypandoc::test_basic_conversion_from_http_url
# pandoc does not manage to find pdflatex.fmt despite it being installed
tests.py::TestPypandoc::test_pdf_conversion
+ # Fail for a reason I do not understand
+ tests.py::TestPypandoc::test_basic_conversion_from_file_pattern_pathlib_glob
)
python_test() {
- epytest tests.py
+ epytest tests.py || die "Test failed with ${EPYTHON}"
}
^ permalink raw reply related [flat|nested] 11+ messages in thread
end of thread, other threads:[~2024-10-11 9:55 UTC | newest]
Thread overview: 11+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-07-05 15:48 [gentoo-commits] repo/proj/guru:master commit in: dev-python/pypandoc/ Haelwenn Monnier
-- strict thread matches above, loose matches on Subject: below --
2024-10-11 9:55 David Roman
2024-04-12 16:29 Julien Roy
2024-04-11 21:19 Julien Roy
2023-09-05 13:22 Andrew Ammerlaan
2023-09-05 13:22 Andrew Ammerlaan
2022-04-05 2:14 Ronny Gutbrod
2021-05-22 10:05 Andrew Ammerlaan
2020-11-12 19:46 Andrew Ammerlaan
2020-09-22 11:13 Andrew Ammerlaan
2020-05-01 17:27 Andrew Ammerlaan
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox